[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: java runtime environment RH 8.0



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sunday 23 March 2003 08:44 pm, Mike Vanecek wrote:
> I have these java components installed:
>
> [root www wormscan-1.5.7-release]# rpm -qa | grep -i java
> gcc-java-3.2-7
>
> [root www wormscan-1.5.7-release]# rpm -qa | grep -i j2
> j2re-1.4.1_02-fcs
> j2sdk-1.4.1_02-fcs
>
> The java plugin works OK with Mozilla 1.3a. However, when I do a
>
> [root www wormscan-1.5.7-release]# java -jar wormscan.jar
> Warning: -jar not understood. Ignoring.
> Exception in thread "main" java.lang.NoClassDefFoundError: wormscan.jar
>    at 0x4027715f: java.lang.Throwable.Throwable(java.lang.String)
> (/usr/lib/libgcj.so.3)
>    at 0x4026a08e: java.lang.Error.Error(java.lang.String)
> (/usr/lib/libgcj.so.3) at 0x4026bb1a:
> java.lang.LinkageError.LinkageError(java.lang.String)
> (/usr/lib/libgcj.so.3)
>    at 0x4026cf76:
> java.lang.NoClassDefFoundError.NoClassDefFoundError(java.lang.String)
> (/usr/lib/libgcj.so.3)
>    at 0x402bc0f9: gnu.gcj.runtime.FirstThread.run()
> (/usr/lib/libgcj.so.3) at 0x4025dfdc: _Jv_ThreadRun(java.lang.Thread)
> (/usr/lib/libgcj.so.3) at 0x4022a78c: _Jv_RunMain(java.lang.Class, byte
> const, int, byte const, boolean) (/usr/lib/libgcj.so.3)
>    at 0x08048900: ?? (??:0)
>    at 0x4068c907: __libc_start_main (/lib/libc.so.6)
>    at 0x080486c1: ?? (??:0)
>
> However, man java tells me:
>
>        −jar                Executes  a  program encapsulated in a
> JAR archive.
>
> Evidently, an old version of java is installed??
>
> [admin www admin]$ java -version
> java version "1.3.1"
> jdkgcj 0.2.3 (http://www.arklinux.org/projects/jdkgcj)
> gcj (GCC) 3.2 20020903 (Red Hat Linux 8.0 3.2-7)
> Copyright (C) 2002 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is
> NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
> PURPOSE.
>
> However, from above I have the 1.4.1 run time environment installed.
>
> Does something else need to be installed to get this to work?

The java installed by the jdkgcj package is located in /usr/bin/java. 
Unless you have modified your paths, that's found before the j2re java in  
/usr/java/j2re1.4.1/bin/java. Try changing your path and see if that 
helps. 'export PATH=/usr/java/j2re1.4.1/bin:$PATH'

Or, call java with the full path.
For example, /usr/java/j2re1.4.1/bin/java -jar wormscan.jar

- -- 
- -Michael

pgp key:  http://www.tuxfan.homeip.net:8080/gpgkey.txt
Red Hat Linux 7.{2,3}|8.0 in 8M of RAM: http://www.rule-project.org/
- --
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE+fnk+n/07WoAb/SsRAspTAKCUmzi7J4cePQbMQeunO3hspMz6TgCgoord
7nVpO1PGOsCBhdGuhfaIuTE=
=sQsY
-----END PGP SIGNATURE-----





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]